import { useIsomorphicLayoutEffect } from './useIsomorphicLayoutEffect';
export var useFirstPaint = function useFirstPaint(cb) {
  useIsomorphicLayoutEffect(function () {
    var raf = window.requestAnimationFrame(function () {
      cb();
    });
    return function () {
      window.cancelAnimationFrame(raf);
    };
  }, [cb]);
};